%define pkg_name        Crypt-OpenSSL-SMIME
%define pkg_version     0.02
%define rpm_pkg_version 0.02
%define rpm_pkg_release 1.n0i.1

Summary:       Signing and encrypting messages with S/MIME
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/modules/by-module/Crypt/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: openssl-devel
BuildRequires: perl(ExtUtils::MakeMaker)


%description
Crypt::OpenSSL::SMIME is a brain dead minimalistic not yet secure for use by
paranoid people wrapper around OpenSSL library which was extremely useful for
us at YASP Software Ltd to send sensitive information to Outlook and Mozilla
mailboxes and requires NO additional support from the mail reader software to
decrypt messages unlike PGP.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{__perl} -pi -e 's/^(\s*\x27?MAN3PODS)/#$1/' Makefile.PL


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc CHANGES README t/


%changelog
* Sun Sep 23 2007 Marius Feraru <altblue@n0i.net> - 0.02-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.11
- version 0.02
